<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Main home page
 *
 * @package    OSB
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Welcome extends Controller_TemplateDefault {
	protected $auth_required = FALSE;

	public function action_breadcrumb() {
		$this->auto_render = FALSE;

		$this->response->body(Session::instance()->get_once('breadcrumb'));
	}

	public function action_index() {
		if (! Kohana::$config->load('config')->appname)
			HTTP::redirect('guide/app');

		$output = '';

		$output = View::factory('pages/welcome');
		Style::factory()
			->type('file')
			->data('media/css/pages/welcome.css');

		$this->template->content = $output;
	}
}
?>
